For the complete documentation index, see llms.txt. This page is also available as Markdown.

QRCode

How to use QRCode to submit a payin in India.

Payin by QRCode

POST https://gateway-test.pagsmile.com/trade/pay

This endpoint allows you to submit a payin by QRCode in India.


Request Body

Parameter
Type
Required
Constraints
Description

app_id

string

Yes

Max length: 32 characters

The merchant application ID assigned by Pagsmile.

out_trade_no

string

Yes

Max length: 64 characters; must be unique

The merchant-side order ID.

method

string

Yes

Fixed value: QRCode

Payment method.

order_currency

string

Yes

Fixed value: INR

Payment currency.

order_amount

string

Yes

Range: 1 - 100000

Payment amount.

subject

string

Yes

Max length: 128 characters

Order title or product name.

content

string

Yes

Max length: 255 characters

Order description.

timestamp

string

Yes

Format: yyyy-MM-dd HH:mm:ss

Request timestamp.

notify_url

string

Yes

Valid URL

Callback URL for payment result notification.

buyer_id

string

Yes

Merchant-defined unique ID

The unique customer ID in the merchant system.

customer.name

string

Yes

-

Customer name.

customer.email

string

Yes

Valid email

Customer email address.

customer.phone

string

Yes

Valid phone number

Customer phone number.


Request Sample


Response

Last updated